(********************************************************************
 * COPYRIGHT -- Bernecker + Rainer
 ********************************************************************
 * Library: SIKO_AG24
 * File: SIKO_AG24.typ
 * Author: Christian Hoffmann
 * Created: November 06, 2017
 ********************************************************************
 * Data types of library SIKO_AG24
 ********************************************************************)

TYPE
	ST_ParameterAg24 : 	STRUCT 
		p2221_ServiceInterfaceBaudRate_r : USINT;
		p2221_ServiceInterfaceBaudRate_w : USINT;
		p2222_GenMapParam_r : USINT;
		p2222_GenMapParam_w : USINT;
		p2241_PeakCurrentLimit_r : INT;
		p2241_PeakCurrentLimit_w : INT;
		p2242_PeakCurrentTime_r : INT;
		p2242_PeakCurrentTime_w : INT;
		p2243_ContinuousCurrent_r : INT;
		p2243_ContinuousCurrent_w : INT;
		p2301_Do1Functionality_r : USINT;
		p2301_Do1Functionality_w : USINT;
		p2302_DoFunctionalitiesState_r : UDINT;
		p2303_DoPolarity_r : USINT;
		p2303_DoPolarity_w : USINT;
		p2401_Di1Functionality_r : USINT;
		p2401_Di1Functionality_w : USINT;
		p2402_Di2Functionality_r : USINT;
		p2402_Di2Functionality_w : USINT;
		p2403_Di3Functionality_r : USINT;
		p2403_Di3Functionality_w : USINT;
		p2404_Di4Functionality_r : USINT;
		p2404_Di4Functionality_w : USINT;
		p2405_DiFunctionalitiesState_r : UDINT;
		p2406_DiPolarity_r : USINT;
		p2406_DiPolarity_w : USINT;
		p2601_ControllerParameterP_r : INT;
		p2601_ControllerParameterP_w : INT;
		p2602_ControllerParameterI_r : INT;
		p2602_ControllerParameterI_w : INT;
		p2603_ControllerParameterD_r : INT;
		p2603_ControllerParameterD_w : INT;
		p2604_APos_r : INT;
		p2604_APos_w : INT;
		p2605_VPos_r : INT;
		p2605_VPos_w : INT;
		p2606_DPos_r : INT;
		p2606_DPos_w : INT;
		p2607_ARot_r : INT;
		p2607_ARot_w : INT;
		p2608_AInch_r : INT;
		p2608_AInch_w : INT;
		p2609_VInch_r : INT;
		p2609_VInch_w : INT;
		p260A_PosWindow_r : INT;
		p260A_PosWindow_w : INT;
		p260B_GearRatioNumerator_r : INT;
		p260B_GearRatioNumerator_w : INT;
		p260C_GearRatioDenominator_r : INT;
		p260C_GearRatioDenominator_w : INT;
		p260D_SpindlePitch_r : DINT;
		p260D_SpindlePitch_w : DINT;
		p260E_CalibrationValue_r : DINT;
		p260E_CalibrationValue_w : DINT;
		p260F_SoftwareLimit1_r : DINT;
		p260F_SoftwareLimit1_w : DINT;
		p2610_SoftwareLimit2_r : DINT;
		p2610_SoftwareLimit2_w : DINT;
		p2611_DeltaInch_r : DINT;
		p2611_DeltaInch_w : DINT;
		p2612_SenseOfRotation_r : USINT;
		p2612_SenseOfRotation_w : USINT;
		p2613_PosType_r : USINT;
		p2613_PosType_w : USINT;
		p2614_OperatingMode_r : USINT;
		p2614_OperatingMode_w : USINT;
		p2615_Inching2StopMode_r : USINT;
		p2615_Inching2StopMode_w : USINT;
		p2616_InposMode_r : USINT;
		p2616_InposMode_w : USINT;
		p2617_LoopLength_r : INT;
		p2617_LoopLength_w : INT;
		p2618_ContouringErrorLimit_r : INT;
		p2618_ContouringErrorLimit_w : INT;
		p261A_Inching2Offset_r : USINT;
		p261A_Inching2Offset_w : USINT;
		p261B_Inching2AccelerationType_r : USINT;
		p261B_Inching2AccelerationType_w : USINT;
		p261C_OffsetValue_r : DINT;
		p261C_OffsetValue_w : DINT;
		p2701_DisplayDivisor_r : USINT;
		p2701_DisplayDivisor_w : USINT;
		p2702_DisplayDivApplication_r : USINT;
		p2702_DisplayDivApplication_w : USINT;
		p2703_DisplayOrientation_r : USINT;
		p2703_DisplayOrientation_w : USINT;
		p2704_DecimalPlaces_r : USINT;
		p2704_DecimalPlaces_w : USINT;
		p2705_DirectionIndicationFunc_r : USINT;
		p2705_DirectionIndicationFunc_w : USINT;
		p2706_Display2ndLine_r : USINT;
		p2706_Display2ndLine_w : USINT;
		p2707_KeyEnableTime_r : USINT;
		p2707_KeyEnableTime_w : USINT;
		p2708_KeyFunctionEnable_r : USINT;
		p2708_KeyFunctionEnable_w : USINT;
		p2709_PinChange_r : DINT;
		p2709_PinChange_w : DINT;
		p2801_TalTrigger_r : INT;
		p2801_TalTrigger_w : INT;
		p2802_TalDirection_r : USINT;
		p2802_TalDirection_w : USINT;
		p2922_PcmPosition1_r : DINT;
		p2922_PcmPosition1_w : DINT;
		p2923_PcmPosition2_r : DINT;
		p2923_PcmPosition2_w : DINT;
		p2924_PcmPosition3_r : DINT;
		p2924_PcmPosition3_w : DINT;
		p2925_PcmPosition4_r : DINT;
		p2925_PcmPosition4_w : DINT;
		p2926_PcmPosition5_r : DINT;
		p2926_PcmPosition5_w : DINT;
		p2927_PcmPosition6_r : DINT;
		p2927_PcmPosition6_w : DINT;
		p2928_PcmPosition7_r : DINT;
		p2928_PcmPosition7_w : DINT;
		p2942_PcmAcceleration1_r : INT;
		p2942_PcmAcceleration1_w : INT;
		p2943_PcmAcceleration2_r : INT;
		p2943_PcmAcceleration2_w : INT;
		p2944_PcmAcceleration3_r : INT;
		p2944_PcmAcceleration3_w : INT;
		p2945_PcmAcceleration4_r : INT;
		p2945_PcmAcceleration4_w : INT;
		p2946_PcmAcceleration5_r : INT;
		p2946_PcmAcceleration5_w : INT;
		p2947_PcmAcceleration6_r : INT;
		p2947_PcmAcceleration6_w : INT;
		p2948_PcmAcceleration7_r : INT;
		p2948_PcmAcceleration7_w : INT;
		p2962_PcmVelocity1_r : INT;
		p2962_PcmVelocity1_w : INT;
		p2963_PcmVelocity2_r : INT;
		p2963_PcmVelocity2_w : INT;
		p2964_PcmVelocity3_r : INT;
		p2964_PcmVelocity3_w : INT;
		p2965_PcmVelocity4_r : INT;
		p2965_PcmVelocity4_w : INT;
		p2966_PcmVelocity5_r : INT;
		p2966_PcmVelocity5_w : INT;
		p2967_PcmVelocity6_r : INT;
		p2967_PcmVelocity6_w : INT;
		p2968_PcmVelocity7_r : INT;
		p2968_PcmVelocity7_w : INT;
		p2982_PcmDeceleration1_r : INT;
		p2982_PcmDeceleration1_w : INT;
		p2983_PcmDeceleration2_r : INT;
		p2983_PcmDeceleration2_w : INT;
		p2984_PcmDeceleration3_r : INT;
		p2984_PcmDeceleration3_w : INT;
		p2985_PcmDeceleration4_r : INT;
		p2985_PcmDeceleration4_w : INT;
		p2986_PcmDeceleration5_r : INT;
		p2986_PcmDeceleration5_w : INT;
		p2987_PcmDeceleration6_r : INT;
		p2987_PcmDeceleration6_w : INT;
		p2988_PcmDeceleration7_r : INT;
		p2988_PcmDeceleration7_w : INT;
		p2A01_OutputStageTemperature_r : INT;
		p2A02_VoltageOfControl_r : INT;
		p2A03_VoltageOfOutputStage_r : INT;
		p2A05_MotorCurrent_r : INT;
		p2A06_ActualPosition_r : DINT;
		p2A07_ActualRotationalSpeed_r : INT;
		p2A08_SerialNumber_r : DINT;
		p2A09_ProductionDate_r : DINT;
		p2A0A_SwMotorController_r : DINT;
		p2A0B_GearReduction_r : INT;
		p2A0C_SystemStatusWord_r : UINT;
		p2A0D_EncoderResolution_r : INT;
		p2A0E_DeviceId_r : USINT;
		p2A0F_VirtualMotorTemperature_r : INT;
		p2A10_OutputStageOverload_r : USINT;
		p2A11_ActualContouringError_r : DINT;
		p2B01_NumberOfErrors_r : USINT;
		p2B02_ErrorNumber1_r : USINT;
		p2B03_ErrorNumber2_r : USINT;
		p2B04_ErrorNumber3_r : USINT;
		p2B05_ErrorNumber4_r : USINT;
		p2B06_ErrorNumber5_r : USINT;
		p2B07_ErrorNumber6_r : USINT;
		p2B08_ErrorNumber7_r : USINT;
		p2B09_ErrorNumber8_r : USINT;
		p2B0A_ErrorNumber9_r : USINT;
		p2B0B_ErrorNumber10_r : USINT;
		p2B21_Configuration_r : UINT;
		p2B21_Configuration_w : UINT;
		p2C01_Scommand_r : USINT;
		p2C01_Scommand_w : USINT;
	END_STRUCT;
END_TYPE
